Bug 13056 - CTDB starts consuming memory if there are dead nodes in the cluster
CTDB starts consuming memory if there are dead nodes in the cluster
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-27 07:52 UTC by Amitay Isaacs
Modified: 2017-11-01 08:52 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-6 (4.16 KB, patch)
2017-10-06 01:29 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-7 (4.08 KB, patch)
2017-10-06 01:30 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-09-27 07:52:00 UTC

    
Comment 1 Amitay Isaacs 2017-09-28 05:17:09 UTC
CTDB in some places uses CTDB_BROADCAST_ALL to distribute packets to all the configured nodes.  If there is a dead node (or a node that is not running) in the cluster, then ctdb daemons will queue up packets for such nodes.  Over long periods of time, ctdb daemon can consume lots of memory which will not be freed till the dead node is started or ctdb daemon is restarted.
Comment 2 Amitay Isaacs 2017-10-06 01:29:42 UTC
Created attachment 13659 [details]
Patches for v4-6
Comment 3 Amitay Isaacs 2017-10-06 01:30:05 UTC
Created attachment 13660 [details]
Patches for v4-7
Comment 4 Martin Schwenke 2017-10-06 02:20:12 UTC
Hi Karolin,

This is ready for 4.6 and 4.7.

Thanks...
Comment 5 Karolin Seeger 2017-10-24 10:46:47 UTC
Pushed to autobuild-v4-{7,6}-test.
Comment 6 Karolin Seeger 2017-11-01 08:52:25 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!